summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild')
-rw-r--r--dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild
new file mode 100644
index 00000000000..52b2b62e979
--- /dev/null
+++ b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An implementation of RFC 2617 - Digest Access Authentication"
+HOMEPAGE="https://github.com/drbrain/net-http-digest_auth"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}